"{ Package: 'stx:libbasic3' }"

ClassChange subclass:#ClassCategoryChange
	instanceVariableNames:'category'
	classVariableNames:''
	poolDictionaries:''
	category:'System-Changes'
!


!ClassCategoryChange methodsFor:'accessing'!

category
    ^ category
!

category:aCategory
    ^ category := aCategory
!

className:clsName category:aCategoryString
    className := clsName.
    category := aCategoryString
! !

!ClassCategoryChange methodsFor:'comparing'!

isForSameAs:changeB
    "return true, if the given change represents a change for the same
     thingy as the receiver (i.e. same method, same definition etc.)."

    changeB isClassCategoryChange ifFalse:[^ false].   
    ^ className = changeB className
!

sameAs:changeB
    "return true, if the given change represents the same change as the receiver."

    changeB isClassCategoryChange ifFalse:[^ false].
    className = changeB className ifFalse:[^ false].
    ^ category = changeB category 
!

source
    "synthesize the changes source"

    ^ className , ' category: ' , category storeString
! !

!ClassCategoryChange methodsFor:'printing & storing'!

printOn:aStream
    "append a user printed representation of the receiver to aStream.
     The format is suitable for a human - not meant to be read back."

    aStream nextPutAll:className; nextPutAll:' category:'
!

printWithoutClassNameOn:aStream
    (className endsWith:' class') ifTrue:[
        aStream nextPutAll:'class '
    ].
    aStream nextPutAll:'category:'
! !

!ClassCategoryChange methodsFor:'queries'!

isClassCategoryChange
    ^ true
! !

!ClassCategoryChange class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/ClassCategoryChange.st,v 1.1 2002-11-11 09:40:14 cg Exp $'
! !
